Liens
GET https://xerp.ae/api/links/
curl --request GET \
--url 'https://xerp.ae/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xerp.ae/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Opcional Cadeia | A string de pesquisa. |
| search_by | Opcional Cadeia | Champ dans lequel vous effectuez la recherche. Les valeurs autorisées sont : url, location_url. |
| is_enabled | Opcional Boolean | |
| project_id | Opcional Inteiro | |
| domain_id | Opcional Inteiro | |
| type | Opcional Cadeia |
biolink, link, file, vcard, event, static |
| datetime_field | Opcional Cadeia | Valeures permitidos: datetime, last_datetime |
| datetime_start | Opcional Cadeia | Filtre les résultats a partir desta date et heure. Format Y-m-d H:i:s. |
| datetime_end | Opcional Cadeia | Filtre les résultats jusqu’à cette date et heure. Format Y-m-d H:i:s. |
| order_by | Opcional Cadeia | Champ selon lequel trier les résultats. Les valeurs autorisées sont : link_id, datetime, last_datetime, clicks, url. |
| order_type | Opcional Cadeia | Ordre des résultats. Les valeurs autorisées sont : ASC pour l’ordre croissant et DESC pour l’ordre décroissant. |
| page | Opcional Inteiro | O numéro de la page que souhaitez résultats. O défaut est 1. |
| results_per_page | Opcional Inteiro | Nombre de résultats souhaités par page. Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. La valeur par défaut est 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-07-15 20:11:46",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://xerp.ae/api/links?page=1",
"last": "https://xerp.ae/api/links?page=1",
"next": null,
"prev": null,
"self": "https://xerp.ae/api/links?page=1"
}
}
GET https://xerp.ae/api/links/{link_id}
curl --request GET \
--url 'https://xerp.ae/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xerp.ae/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-07-15 20:11:46",
}
}
POST https://xerp.ae/api/links
| Paramètres | Détails | Description |
|---|---|---|
| type | Opcional Cadeia | link |
| location_url | Obligatoire Cadeia | L’URL de destination.Disponible quand: is_bulk = 0 |
| location_urls | Obligatoire Cadeia | L’URL de destination.Disponible quand: is_bulk = 1 |
| url | Opcional Cadeia | O alias du URL du lien généré. Laissez vide pour un généré aléatoirement.Disponible quand: is_bulk = 0 |
| is_bulk | Opcional Boolean | |
| domain_id | Opcional Inteiro | - |
| project_id | Opcional Inteiro | - |
| pixels_ids | Opcional Matriz Inteiro | - |
| email_reports | Opcional Matriz | Identificadores de manipulador de notifications |
| schedule | Opcional Boolean | - |
| start_date | Opcional Cadeia | Disponible quand: schedule = true |
| end_date | Opcional Cadeia | Disponible quand: schedule = true |
| clicks_limit | Opcional Inteiro | - |
| expiration_url | Opcional Cadeia | - |
| sensitive_content | Opcional Boolean | - |
| http_status_code | Opcional Inteiro | Valeures permitidos: 301, 302, 307, 308 |
| app_linking_is_enabled | Opcional Boolean | - |
| cloaking_is_enabled | Opcional Boolean | - |
| cloaking_title | Opcional Cadeia | - |
| cloaking_meta_description | Opcional Cadeia | - |
| cloaking_custom_js | Opcional Cadeia | - |
| cloaking_favicon | Opcional Fichier | - |
| cloaking_opengraph | Opcional Fichier | - |
| password | Opcional Cadeia | - |
| forward_query_parameters_is_enabled | Opcional Boolean | - |
| seo_block | Opcional Boolean | - |
| utm_source | Opcional Cadeia | - |
| utm_medium | Opcional Cadeia | - |
| utm_campaign | Opcional Cadeia | - |
| targeting_type | Opcional Cadeia | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Opcional Cadeia | Disponible quand: targeting_type = continent_code |
| targeting_continent_code_value[index] | Opcional Cadeia | Disponible quand: targeting_type = continent_code |
| targeting_country_code_key[index] | Opcional Cadeia | Disponible quand: targeting_type = country_code |
| targeting_country_code_value[index] | Opcional Cadeia | Disponible quand: targeting_type = country_code |
| targeting_city_name_key[index] | Opcional Cadeia | Disponible quand: targeting_type = city_name |
| targeting_city_name_value[index] | Opcional Cadeia | Disponible quand: targeting_type = city_name |
| targeting_device_type_key[index] | Opcional Cadeia | Disponible quand: targeting_type = device_type |
| targeting_device_type_value[index] | Opcional Cadeia | Disponible quand: targeting_type = device_type |
| targeting_browser_language_key[index] | Opcional Cadeia | Disponible quand: targeting_type = browser_language |
| targeting_browser_language_value[index] | Opcional Cadeia | Disponible quand: targeting_type = browser_language |
| targeting_rotation_key[index] | Opcional Cadeia | Disponible quand: targeting_type = rotation |
| targeting_rotation_value[index] | Opcional Cadeia | Disponible quand: targeting_type = rotation |
| targeting_os_name_key[index] | Opcional Cadeia | Disponible quand: targeting_type = os_name |
| targeting_os_name_value[index] | Opcional Cadeia | Disponible quand: targeting_type = os_name |
| targeting_browser_name_key[index] | Opcional Cadeia | Disponible quand: targeting_type = browser_name |
| targeting_browser_name_value[index] | Opcional Cadeia | Disponible quand: targeting_type = browser_name |
curl --request POST \
--url 'https://xerp.ae/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://xerp.ae/' \
--url 'https://xerp.ae/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://xerp.ae/' \
{
"data": {
"id": 1
}
}
POST https://xerp.ae/api/links/{link_id}
| Paramètres | Détails | Description |
|---|---|---|
| location_url | Opcional Cadeia | L’URL de destination. |
| url | Opcional Cadeia | O alias du URL du lien généré. Laissez vide pour un généré aléatoirement. |
| domain_id | Opcional Inteiro | - |
| project_id | Opcional Inteiro | - |
| pixels_ids | Opcional Matriz Inteiro | - |
| email_reports | Opcional Matriz | Identificadores de manipulador de notifications |
| schedule | Opcional Boolean | - |
| start_date | Opcional Cadeia | Disponible quand: schedule = true |
| end_date | Opcional Cadeia | Disponible quand: schedule = true |
| clicks_limit | Opcional Inteiro | - |
| expiration_url | Opcional Cadeia | - |
| sensitive_content | Opcional Boolean | - |
| http_status_code | Opcional Inteiro | Valeures permitidos: 301, 302, 307, 308 |
| app_linking_is_enabled | Opcional Boolean | - |
| cloaking_is_enabled | Opcional Boolean | - |
| cloaking_title | Opcional Cadeia | - |
| cloaking_meta_description | Opcional Cadeia | - |
| cloaking_custom_js | Opcional Cadeia | - |
| cloaking_favicon | Opcional Fichier | - |
| cloaking_opengraph | Opcional Fichier | - |
| password | Opcional Cadeia | - |
| forward_query_parameters_is_enabled | Opcional Boolean | - |
| seo_block | Opcional Boolean | - |
| utm_source | Opcional Cadeia | - |
| utm_medium | Opcional Cadeia | - |
| utm_campaign | Opcional Cadeia | - |
| targeting_type | Opcional Cadeia | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Opcional Cadeia | Disponible quand: targeting_type = continent_code |
| targeting_continent_code_value[index] | Opcional Cadeia | Disponible quand: targeting_type = continent_code |
| targeting_country_code_key[index] | Opcional Cadeia | Disponible quand: targeting_type = country_code |
| targeting_country_code_value[index] | Opcional Cadeia | Disponible quand: targeting_type = country_code |
| targeting_city_name_key[index] | Opcional Cadeia | Disponible quand: targeting_type = city_name |
| targeting_city_name_value[index] | Opcional Cadeia | Disponible quand: targeting_type = city_name |
| targeting_device_type_key[index] | Opcional Cadeia | Disponible quand: targeting_type = device_type |
| targeting_device_type_value[index] | Opcional Cadeia | Disponible quand: targeting_type = device_type |
| targeting_browser_language_key[index] | Opcional Cadeia | Disponible quand: targeting_type = browser_language |
| targeting_browser_language_value[index] | Opcional Cadeia | Disponible quand: targeting_type = browser_language |
| targeting_rotation_key[index] | Opcional Cadeia | Disponible quand: targeting_type = rotation |
| targeting_rotation_value[index] | Opcional Cadeia | Disponible quand: targeting_type = rotation |
| targeting_os_name_key[index] | Opcional Cadeia | Disponible quand: targeting_type = os_name |
| targeting_os_name_value[index] | Opcional Cadeia | Disponible quand: targeting_type = os_name |
| targeting_browser_name_key[index] | Opcional Cadeia | Disponible quand: targeting_type = browser_name |
| targeting_browser_name_value[index] | Opcional Cadeia | Disponible quand: targeting_type = browser_name |
| is_enabled | Opcional Boolean | - |
curl --request POST \
--url 'https://xerp.ae/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://xerp.ae/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://xerp.ae/api/links/{link_id}
curl --request DELETE \
--url 'https://xerp.ae/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xerp.ae/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \